task rmats {
    String sample_id
    File bam_file
    File reference_gtf_file
    

    String docker
    String cluster
    String disk_size


    
    command <<<
        set -o pipefail
        set -e

        mkdir -p ${sample_id}/spladder_out

        spladder build --bams ${bam_file} \
                --annotation ${reference_gtf_file} \
                --outdir ${sample_id}/spladder_out
        
        find . -depth > fileList.txt
    >>>

    runtime {
        docker: docker
        cluster: cluster
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File fileList = "fileList.txt"
        Array[File] AS_gff = glob("${sample_id}/spladder_out/*.gff3")
        Array[File] AS_pickle = glob("${sample_id}/spladder_out/*.pickle")
        Array[File] AS_gz = glob("${sample_id}/spladder_out/*.gz")
        Array[File] AS_hdf5 = glob("${sample_id}/spladder_out/*.hdf5")
        Array[File] spladder = glob("${sample_id}/spladder_out/spladder/*")
        Array[File] tmp = glob("${sample_id}/spladder_out/tmp/*")
    }
}